Project Rankings#
Warning
Deprecation Notice for Vulcan API v1 - We are deprecating Vulcan API v1 to concentrate on the improved functionality of newer versions. V1 will no longer receive new features or enhancements.
New Integrations: Please use Vulcan API v2.
Existing v1 Users: We encourage you to migrate to v2.
SynMax will provide migration guides and proactive support to assist with your transition.
Get project rankings based on various criteria
Endpoint#
GET |
https://vulcan.api.synmax.com/beat-ms/api/v1/project_rankings |
Request Examples#
curl -X GET "https://vulcan.api.synmax.com/beat-ms/api/v1/project_rankings" \
-H "Access-Key: $API_TOKEN"
from synmax.vulcan.v1 import VulcanApiClient
SYNMAX_ACCESS_TOKEN = "<YOUR_API_TOKEN>"
vulcan_api_client = VulcanApiClient(access_token=SYNMAX_ACCESS_TOKEN)
project_rankings_resp = vulcan_api_client.project_rankings()
project_rankings_df = project_rankings_resp.df()
project_rankings_df.head()
Response#
Parameters |
Type |
Description |
Example |
|---|---|---|---|
code |
string |
Unique code for the api response |
[PR123] |
name |
string |
Name of the column |
plant_id |
type |
string |
Data type of the column |
BIGINT |